> For the complete documentation index, see [llms.txt](https://docs.hypeproxy.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hypeproxy.io/api/v1-api-documentation.md).

# V1 API Documentation

## Introduction

{% hint style="danger" %}
When we'll migrate to HypeProxy.io v2.1 this API will no longer be operational.
{% endhint %}

`HypeProxy.io v1 API` offers a JWT authentication, it's however possible to [renew the IP](#renew-ip) only with its proxy ID.

If you need more help with the API v1 please feel free to join our [live chat](https://go.crisp.chat/chat/embed/?website_id=c96435ae-a92e-469f-b556-6befad2ff1d8).

## Retrieve your Proxy ID

First of all you have to connect to your dashboard, go to the section [4G / LTE Proxies](https://hypeproxy.io/dashboard/products/4g-proxies), then in the proxies list, you can see your IDs it's the sequence of alphanumeric characters with hash.

So for use the API you have to send the ID, following the screenshot below it's `00000000`.

![Dashboard Screenshot.](/files/5FT8bN1dE57VrDULzBeP)

## API Reference

### Renew IP

## Renew the IP of a specific proxy \[No Auth Required]

<mark style="color:blue;">`GET`</mark> `https://hypeproxy.io/api/Utils/DirectRenewIp/{id}`

This endpoint trigger the IP renew of the related proxy as an asynchronous operation, the process take around 8 seconds in background to be proceed and requires the reboot of the USB modem.

#### Path Parameters

| Name                                 | Type | Description                                |
| ------------------------------------ | ---- | ------------------------------------------ |
| id<mark style="color:red;">\*</mark> |      | Proxy ID, here to know how to get this ID. |

{% tabs %}
{% tab title="200: OK IP Renew Response." %}

```javascript
"IP Renew done."
```

Keep in mind that the operation is asynchronous, if the renew fail the api will always return the same response.
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypeproxy.io/api/v1-api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
